### Constructor

# FwupdPlugin UsbEndpoint new

since: 2.0.0

#### Declaration [src]

    FuUsbEndpoint*
    fu_usb_endpoint_new (
      const libusb_endpoint_descriptor* endpoint
    )

#### Description

No description available.

Available since: 2.0.0

#### Parameters

`endpoint`

  Type: `const libusb_endpoint_descriptor*`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `FuUsbEndpoint`

A new `FuUsbEndpoint` object.

The caller of the function takes ownership of the data, and is responsible for freeing it.